#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines
%define basedir	%{_datadir}/icingaweb2
%define module_name incubator
Name:           icingaweb2-module-%{module_name}
Version:        0.20.0
Release:        1.2
Summary:        Bleeding edge Icinga Web 2 libraries
License:        MIT
Group:          System/Monitoring
URL:            https://www.icinga.org
Source0:        https://github.com/Icinga/icingaweb2-module-%{module_name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       icingaweb2-module-ipl >= 0.5.0
Requires:       icingaweb2-module-reactbundle >= 0.8.0
Requires:       php >= 5.6.3
Requires:       php-ctype

%description
Icinga Web 2 - ReactPHP-based 3rd party libraries

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{basedir}/modules/%{module_name}
mkdir -p %{buildroot}%{basedir}/modules/%{module_name}/vendor
mkdir -p %{buildroot}%{basedir}/modules/%{module_name}/public
cp -prv vendor %{buildroot}%{basedir}/modules/%{module_name}
cp -prv public %{buildroot}%{basedir}/modules/%{module_name}
cp -pv *.md *.php *.info %{buildroot}%{basedir}/modules/%{module_name}

%files
%license LICENSE
%doc README.md
%dir %{basedir}
%dir %{basedir}/modules
%dir %{basedir}/modules/%{module_name}
%{basedir}/modules/%{module_name}/*

%changelog
* Fri Sep 22 2023 ecsos <ecsos@opensuse.org>
- Update to 0.20.0
  - improved am/pm formatting
  - support db expressions in filter rendering
  - fix background in action bar dropdowns
  - JsonRPC no supports proxy handlers
  - dbstore improved modification detection
* Wed Nov 16 2022 ecsos <ecsos@opensuse.org>
- Update to 0.19.0
  - improved ProcessInfo serialization
  - allow to use Cli\Screen w/o CLI
  - curl: fix PHP 8.1 support in specific error conditions
  - InfluxDB: fix v2 support
  - InfluxDB: body compression
  - InfluxDB: add header for debugging purposes
* Wed Sep 21 2022 ecsos <ecsos@opensuse.org>
- Update to 0.18.0
  - cosmetic changes for Icinga Web
  - Settings can now be compared
  - fix some zfdb exceptions on 8.1
* Thu Jul  7 2022 ecsos <ecsos@opensuse.org>
- Update to 0.17.0
  - No changelog from upstream.
* Tue Apr 26 2022 ecsos <ecsos@opensuse.org>
- Update to 0.16.0
  - No changelog from upstream.
* Fri Feb 18 2022 ecsos <ecsos@opensuse.org>
- Update to 0.12.0
  - No changelog from upstream.
* Tue Dec 15 2020 ecsos <ecsos@opensuse.org>
- Update to 0.6.0
  - No changelog from upstream.
* Mon Sep 30 2019 ecsos@opensuse.org
- initial version
